Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.testing.todo
Class TodoAnnotationOWLTest

    java.lang.Object
      edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
          edu.stanford.smi.protegex.owl.testing.todo.TodoAnnotationOWLTest

All Implemented Interfaces:
  OWLTest, RDFResourceTest

    public class TodoAnnotationOWLTest

extends AbstractOWLTest
implements RDFResourceTest

Author:
  Holger Knublauch

Field Summary
`static String` | `GROUP`

Fields inherited from class edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
`SANITY_GROUP`

Constructor Summary
`TodoAnnotationOWLTest()`

Method Summary
`String` | `getName()`
`static List` | `getTODOListItems(RDFResource instance)`
`List` | `test(RDFResource instance)` Performs a check of a given RDFResource.

Methods inherited from class edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
`getDocumentation, getGroup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.testing.OWLTest
`getDocumentation, getGroup`

Field Detail

### GROUP

    public static final String GROUP

See Also:
  Constant Field Values

Constructor Detail

### TodoAnnotationOWLTest

    public TodoAnnotationOWLTest()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `OWLTest`
  Overrides:
    `getName` in class `AbstractOWLTest`

### getTODOListItems

    public static List getTODOListItems(RDFResource instance)

### test

    public List test(RDFResource instance)

  Description copied from interface: `RDFResourceTest`
  Performs a check of a given RDFResource.

  Specified by:
    `test` in interface `RDFResourceTest`
  Parameters:
    `instance` - the RDFResource to check
  Returns:
    a list of OWLTestResult objects

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.